%define major     1
%define libname   %mklibname gavl %major
%define develname %mklibname gavl -d

Name:           gavl
Version:        1.4.0
Release:        %mkrel 14
Summary:        A library for handling uncompressed audio and video data
Group:          System/Libraries
License:        GPLv2+
URL:            https://gmerlin.sourceforge.net/
Source0:        https://downloads.sourceforge.net/gmerlin/gavl-%{version}.tar.gz
Patch1:         gavl-1.1.1-system_libgdither.patch
Patch2:         gavl-autoconf.patch
Patch3:         gavl-configure-c99.patch
Patch4:         gavl-c99.patch
BuildRequires:  libtool
BuildRequires:  doxygen
BuildRequires:  pkgconfig(libpng) >= 1.0.8
BuildRequires:  pkgconfig(libgdither)

%description
Gavl is a library for handling and converting uncompressed audio and
video data. It provides datatypes for audio/video formats and standardized
structures to store the data. It supports converting between all formats.
Some conversion functions are available in multiple versions (MMX...),
which are selected by compile time configuration, CPU autodetection and
user options.

%package -n     %libname
Summary:        A library for handling uncompressed audio and video data
Group:          System/Libraries

%description -n %libname
Gavl is a library for handling and converting uncompressed audio and
video data. It provides datatypes for audio/video formats and standardized
structures to store the data. It supports converting between all formats.
Some conversion functions are available in multiple versions (MMX...),
which are selected by compile time configuration, CPU autodetection and
user options.

%package -n     %develname
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %develname
This package contains libraries and header files for developing applications
that use %{name}.

%prep
%autosetup -p1

# (Fedora) Disable buildtime cpu detection
sed -i -i 's/LQT_TRY_CFLAGS/dnl LQT_TRY_CFLAGS/g' configure.ac
sed -i -i 's/LQT_OPT_CFLAGS/dnl LQT_OPT_CFLAGS/g' configure.ac

%build
autoreconf -vfi
%configure \
  --disable-static \
  --disable-cpu-clip \
  --enable-libgdither

%make_build

%install
%make_install mkdir_p="mkdir -p"

# don't ship .la
find %{buildroot} -name '*.la' -delete

# (Fedora) Prevent timestamps build difference
touch -r include/gavl/gavl.h %{buildroot}%{_includedir}/gavl/gavl_version.h

%files -n %libname
%doc AUTHORS README TODO
%{_libdir}/*.so.%{major}{,.*}

%files -n %develname
%doc %{_docdir}/gavl/apiref/
%{_includedir}/gavl/
%{_libdir}/*.so
%{_libdir}/pkgconfig/gavl.pc


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.4.0-14.mga10
+ Revision: 2228252
- Mageia 10 Mass Rebuild

* Fri Sep 27 2024 daviddavid <daviddavid> 1.4.0-13.mga10
+ Revision: 2101564
- add fedora patches to fix build with GCC 14

* Fri Apr 01 2022 umeabot <umeabot> 1.4.0-12.mga9
+ Revision: 1838520
- Mageia 9 Mass Rebuild

* Sun Nov 01 2020 wally <wally> 1.4.0-11.mga8
+ Revision: 1641197
- fix build with autoconf > 2.69

* Thu Feb 13 2020 umeabot <umeabot> 1.4.0-10.mga8
+ Revision: 1512387
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.4.0-9.mga7
+ Revision: 1297828
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 1.4.0-8.mga7
+ Revision: 1233908
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 1.4.0-7.mga6
+ Revision: 945396
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-6.mga5
+ Revision: 742332
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.0-5.mga5
+ Revision: 679423
- Mageia 5 Mass Rebuild

* Sun Jun 15 2014 wally <wally> 1.4.0-4.mga5
+ Revision: 636559
- rebuild for mga5

* Fri Jan 11 2013 umeabot <umeabot> 1.4.0-3.mga3
+ Revision: 351075
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 cjw <cjw> 1.4.0-2.mga3
+ Revision: 338562
- patch2: fix build with automake 1.13

* Sun Jun 10 2012 fwang <fwang> 1.4.0-1.mga3
+ Revision: 259331
- use correct mkdir
- fix build
- new version 1.4.0

* Sun Jul 03 2011 ahmad <ahmad> 1.2.0-1.mga2
+ Revision: 117629
- Update to 1.2.0
- Use %%configure2_5x

* Thu Jun 09 2011 ahmad <ahmad> 1.1.2-1.mga2
+ Revision: 102145
- Adapt the spec to the Mageia packaging guide lines
- Fix the License tag
- imported package gavl


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat May 01 2010 Nicolas Chauvet <kwizart@fedoraproject.org> - 1.1.2-1
- Update to 1.1.2

* Tue Oct 27 2009 kwizart < kwizart at gmail.com > - 1.1.1-1
- Update to 1.1.1

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 24 2009 kwizart < kwizart at gmail.com > - 1.1.0-1
- Update to 1.1.0
- Disable buildtime CPU detection.

* Tue Jul 29 2008 kwizart < kwizart at gmail.com > - 1.0.1-1
- Update to 1.0.1

* Tue Jul 22 2008 kwizart < kwizart at gmail.com > - 1.0.0-2
- Add --enable-libgdither for system libgdither
- Add --enable-debug to disable LQT_OPT_CFLAGS
- Add -DHAVE_GAVLCONFIG_H to include gavlconfig.h when needed

* Mon May 19 2008 kwizart < kwizart at gmail.com > - 1.0.0-1
- Update to 1.0.0 api stable

* Mon May 19 2008 kwizart < kwizart at gmail.com > - 0.2.7-4
- Initial package for Fedora
